Package org.eclipse.app4mc.amalthea.model.util

## Class TimeUtil

- Object
- - TimeUtil

    public class TimeUtil
    extends Object

### Method Summary

All Methods
`static Time` `convertToTimeUnit​(Time time, TimeUnit unit)` Converts a Time object to the given TimeUnit.
`static List<TimeUnit>` `getTimeUnitList()` Returns a list with all possible Units

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTimeUnitList

    public static List<TimeUnit> getTimeUnitList()

Returns a list with all possible Units

Returns:
  TimeUnit.VALUES

#### convertToTimeUnit

    public static Time convertToTimeUnit​(Time time,
                                         TimeUnit unit)

Converts a Time object to the given TimeUnit. Note: when convert from small unit to bigger unit, the function will round the number e.g 5200Ps = 5Ns